require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe Echo do
  describe "Configuration" do
    before :each do
      Echo.configure do |config| 
        config.user               = "pedro"
        config.password           = "secret"
        config.debug              = true
        config.backplane_user     = "pedro_bp"
        config.backplane_password = "secret_bp"
      end      
    end
    it "should be able to config the consumer_key" do
      Echo.debug.should be_true
    end      
    it "should be able to config the user" do
      Echo.user.should == "pedro"
    end    
    it "should be able to config the password" do
      Echo.password.should == "secret"
    end    
    it "should be able to config the backplane user" do
      Echo.backplane_user.should == "pedro_bp"
    end    
    it "should be able to config the backplane password" do
      Echo.backplane_password.should == "secret_bp"
    end
  end  
end
